function  GuiChartTimerFunction (ChartTempTimer,Timerfcn,GpibAdd,Ghandles)

global mtxTempData ElapsedTime StartTime StartTimeAndDateString

fprintf(Ghandles.SunGpibObject,'C1?');
strCH1Temp = fscanf(Ghandles.SunGpibObject);
fprintf(Ghandles.SunGpibObject,'C2?');
strCH2Temp = fscanf(Ghandles.SunGpibObject);
fprintf(Ghandles.SunGpibObject,'SET1?');
strSet1Temp = fscanf(Ghandles.SunGpibObject);
dblCH1Temp = [str2double(strCH1Temp)];
dblCH2Temp = [str2double(strCH2Temp)];
dblSet1Temp = [str2double(strSet1Temp)];

if isnan(dblSet1Temp)
    dblSet1Temp = 0;
end
arrTempData = [dblCH1Temp dblCH2Temp dblSet1Temp];
mtxTempData = [mtxTempData;arrTempData];
ElapsedTime = [ElapsedTime; round(etime(clock,StartTime))/60];
MaxTempColumn = max(mtxTempData);
MaxTemp = max (MaxTempColumn)+5;
MinTempColumn = min(mtxTempData);
MinTemp = min (MinTempColumn)-5;
TimeMax = max(ElapsedTime)+1;
plot ( ElapsedTime,mtxTempData);  %Must set Command line accessibility to 'ON' in Gui Options... otherwise
                                  %plots will go onto a new figure and not the Gui form.
axis([0  TimeMax MinTemp MaxTemp]);
ylabel ('Temperature');
StartTimeString = ['Start: ' StartTimeAndDateString];
XlabelString = ['Time(min) ' StartTimeString];
xlabel (XlabelString);
legend('CH1','CH2','SET1');
title('PC1000 temp graph');
strucChartData = struct('TempData',mtxTempData,'ElapsedTime',ElapsedTime,'TimeAndDateString',...
    StartTimeString);
ChartTempTimer.userData = strucChartData;



 



